!
subroutine Nodes
use Advertisement
use Numerical_libraries
implicit none
real*8, dimension(1:2) :: preset
call DGQRUL(node_max, 1, 0.d00, 0.d00, 0, preset, node, weight)
end subroutine Nodes
!
subroutine sin_lattice(factor)
use Advertisement
implicit none
real*8, intent(in) :: factor
integer*4 i
real*8 step
complex*16 length
if (exc.gt.1.d00) length=(0.d00,1.d00)*rad*dsqrt(exc-1.d00)/exc
if (exc.le.1.d00) length=rad*dsqrt(1.d00-exc*exc)/exc
if (n_max.eq.1) then
 nPole(1)=(0.d00, 0.d00); lPole(1)=(0.d00, 0.d00)
else
 step=pi/(n_max-1)
 do i=1, n_max
  nPole(i)=length*dsin(-pi/2.d00+step*(i-1))
 end do
 step=pi/(l_max-1)
 do i=1, l_max
  lPole(i)=length*dsin(-pi/2.d00+step*(i-1))
 end do
end if
End subroutine sin_lattice
!
subroutine line_lattice(factor)
use Advertisement
implicit none
real*8, intent(in) :: factor
integer*4 i, sgn
real*8 step
complex*16 length
if (exc.gt.1.d00) length=(0.d00,1.d00)*rad*dsqrt(exc*exc-1.d00)/exc
if (exc.le.1.d00) length=rad*dsqrt(1.d00-exc*exc)/exc
length=length*factor
if (n_max.eq.1) then
 nPole(1)=(0.d00, 0.d00); lPole(1)=(0.d00, 0.d00)
else
 step=2.d00/(n_max-1)
 do i=1, n_max
  nPole(i)=length*(-1.d00+step*(i-1))
 end do
 step=2.d00/(l_max-1)
 do i=1, l_max
  lPole(i)=length*(-1.d00+step*(i-1))
 end do
end if
End subroutine line_lattice
!
